package com.mortals.xhx.module.study.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.study.model.StudyStatEntity;
/**
* 学习统计查询对象
*
* @author zxfei
* @date 2023-03-06
*/
public class StudyStatQuery extends StudyStatEntity {
    /** 开始 ID */
    private Long idStart;

    /** 结束 ID */
    private Long idEnd;

    /** 增加 ID */
    private Long idIncrement;

    /** ID列表 */
    private List <Long> idList;

    /** ID排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id，来源基础服务平台 */
    private Long siteIdStart;

    /** 结束 站点Id，来源基础服务平台 */
    private Long siteIdEnd;

    /** 增加 站点Id，来源基础服务平台 */
    private Long siteIdIncrement;

    /** 站点Id，来源基础服务平台列表 */
    private List <Long> siteIdList;

    /** 站点Id，来源基础服务平台排除列表 */
    private List <Long> siteIdNotList;

    /** 开始 题目总数 */
    private Integer projectTotalCountStart;

    /** 结束 题目总数 */
    private Integer projectTotalCountEnd;

    /** 增加 题目总数 */
    private Integer projectTotalCountIncrement;

    /** 题目总数列表 */
    private List <Integer> projectTotalCountList;

    /** 题目总数排除列表 */
    private List <Integer> projectTotalCountNotList;

    /** 开始 昨日新增项目数量 */
    private Integer projectAddCountStart;

    /** 结束 昨日新增项目数量 */
    private Integer projectAddCountEnd;

    /** 增加 昨日新增项目数量 */
    private Integer projectAddCountIncrement;

    /** 昨日新增项目数量列表 */
    private List <Integer> projectAddCountList;

    /** 昨日新增项目数量排除列表 */
    private List <Integer> projectAddCountNotList;

    /** 开始 学习人数数量 */
    private Integer studyPersonCountStart;

    /** 结束 学习人数数量 */
    private Integer studyPersonCountEnd;

    /** 增加 学习人数数量 */
    private Integer studyPersonCountIncrement;

    /** 学习人数数量列表 */
    private List <Integer> studyPersonCountList;

    /** 学习人数数量排除列表 */
    private List <Integer> studyPersonCountNotList;

    /** 开始 学习率 */
    private BigDecimal studyPersonRatioStart;

    /** 结束 学习率 */
    private BigDecimal studyPersonRatioEnd;

    /** 增加 学习率 */
    private BigDecimal studyPersonRatioIncrement;

    /** 学习率列表 */
    private List <BigDecimal> studyPersonRatioList;

    /** 学习率排除列表 */
    private List <BigDecimal> studyPersonRatioNotList;

    /** 开始 未学习人数数量 */
    private Integer unStudyPersonCountStart;

    /** 结束 未学习人数数量 */
    private Integer unStudyPersonCountEnd;

    /** 增加 未学习人数数量 */
    private Integer unStudyPersonCountIncrement;

    /** 未学习人数数量列表 */
    private List <Integer> unStudyPersonCountList;

    /** 未学习人数数量排除列表 */
    private List <Integer> unStudyPersonCountNotList;

    /** 开始 未学习率 */
    private BigDecimal unStudyPersonRatioStart;

    /** 结束 未学习率 */
    private BigDecimal unStudyPersonRatioEnd;

    /** 增加 未学习率 */
    private BigDecimal unStudyPersonRatioIncrement;

    /** 未学习率列表 */
    private List <BigDecimal> unStudyPersonRatioList;

    /** 未学习率排除列表 */
    private List <BigDecimal> unStudyPersonRatioNotList;

    /** 开始 今日消息推送数量 */
    private Integer pushTotalCountStart;

    /** 结束 今日消息推送数量 */
    private Integer pushTotalCountEnd;

    /** 增加 今日消息推送数量 */
    private Integer pushTotalCountIncrement;

    /** 今日消息推送数量列表 */
    private List <Integer> pushTotalCountList;

    /** 今日消息推送数量排除列表 */
    private List <Integer> pushTotalCountNotList;

    /** 开始 昨日新增减少数量 */
    private Integer pushAddCountStart;

    /** 结束 昨日新增减少数量 */
    private Integer pushAddCountEnd;

    /** 增加 昨日新增减少数量 */
    private Integer pushAddCountIncrement;

    /** 昨日新增减少数量列表 */
    private List <Integer> pushAddCountList;

    /** 昨日新增减少数量排除列表 */
    private List <Integer> pushAddCountNotList;

    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 增加 日 */
    private Integer dayIncrement;

    /** 日列表 */
    private List <Integer> dayList;

    /** 日排除列表 */
    private List <Integer> dayNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<StudyStatQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<StudyStatQuery> andConditionList;

    public StudyStatQuery(){}

    /**
    * 获取 开始 ID
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 ID
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 ID
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 ID
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 ID
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 ID
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 ID
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 ID
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 ID
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 ID
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点Id，来源基础服务平台
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id，来源基础服务平台
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id，来源基础服务平台
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id，来源基础服务平台
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id，来源基础服务平台
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id，来源基础服务平台
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id，来源基础服务平台
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id，来源基础服务平台
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 开始 题目总数
    * @return projectTotalCountStart
    */
    public Integer getProjectTotalCountStart(){
        return this.projectTotalCountStart;
    }

    /**
    * 设置 开始 题目总数
    * @param projectTotalCountStart
    */
    public void setProjectTotalCountStart(Integer projectTotalCountStart){
        this.projectTotalCountStart = projectTotalCountStart;
    }

    /**
    * 获取 结束 题目总数
    * @return $projectTotalCountEnd
    */
    public Integer getProjectTotalCountEnd(){
        return this.projectTotalCountEnd;
    }

    /**
    * 设置 结束 题目总数
    * @param projectTotalCountEnd
    */
    public void setProjectTotalCountEnd(Integer projectTotalCountEnd){
        this.projectTotalCountEnd = projectTotalCountEnd;
    }

    /**
    * 获取 增加 题目总数
    * @return projectTotalCountIncrement
    */
    public Integer getProjectTotalCountIncrement(){
        return this.projectTotalCountIncrement;
    }

    /**
    * 设置 增加 题目总数
    * @param projectTotalCountIncrement
    */
    public void setProjectTotalCountIncrement(Integer projectTotalCountIncrement){
        this.projectTotalCountIncrement = projectTotalCountIncrement;
    }

    /**
    * 获取 题目总数
    * @return projectTotalCountList
    */
    public List<Integer> getProjectTotalCountList(){
        return this.projectTotalCountList;
    }

    /**
    * 设置 题目总数
    * @param projectTotalCountList
    */
    public void setProjectTotalCountList(List<Integer> projectTotalCountList){
        this.projectTotalCountList = projectTotalCountList;
    }

    /**
    * 获取 题目总数
    * @return projectTotalCountNotList
    */
    public List<Integer> getProjectTotalCountNotList(){
        return this.projectTotalCountNotList;
    }

    /**
    * 设置 题目总数
    * @param projectTotalCountNotList
    */
    public void setProjectTotalCountNotList(List<Integer> projectTotalCountNotList){
        this.projectTotalCountNotList = projectTotalCountNotList;
    }


    /**
    * 获取 开始 昨日新增项目数量
    * @return projectAddCountStart
    */
    public Integer getProjectAddCountStart(){
        return this.projectAddCountStart;
    }

    /**
    * 设置 开始 昨日新增项目数量
    * @param projectAddCountStart
    */
    public void setProjectAddCountStart(Integer projectAddCountStart){
        this.projectAddCountStart = projectAddCountStart;
    }

    /**
    * 获取 结束 昨日新增项目数量
    * @return $projectAddCountEnd
    */
    public Integer getProjectAddCountEnd(){
        return this.projectAddCountEnd;
    }

    /**
    * 设置 结束 昨日新增项目数量
    * @param projectAddCountEnd
    */
    public void setProjectAddCountEnd(Integer projectAddCountEnd){
        this.projectAddCountEnd = projectAddCountEnd;
    }

    /**
    * 获取 增加 昨日新增项目数量
    * @return projectAddCountIncrement
    */
    public Integer getProjectAddCountIncrement(){
        return this.projectAddCountIncrement;
    }

    /**
    * 设置 增加 昨日新增项目数量
    * @param projectAddCountIncrement
    */
    public void setProjectAddCountIncrement(Integer projectAddCountIncrement){
        this.projectAddCountIncrement = projectAddCountIncrement;
    }

    /**
    * 获取 昨日新增项目数量
    * @return projectAddCountList
    */
    public List<Integer> getProjectAddCountList(){
        return this.projectAddCountList;
    }

    /**
    * 设置 昨日新增项目数量
    * @param projectAddCountList
    */
    public void setProjectAddCountList(List<Integer> projectAddCountList){
        this.projectAddCountList = projectAddCountList;
    }

    /**
    * 获取 昨日新增项目数量
    * @return projectAddCountNotList
    */
    public List<Integer> getProjectAddCountNotList(){
        return this.projectAddCountNotList;
    }

    /**
    * 设置 昨日新增项目数量
    * @param projectAddCountNotList
    */
    public void setProjectAddCountNotList(List<Integer> projectAddCountNotList){
        this.projectAddCountNotList = projectAddCountNotList;
    }


    /**
    * 获取 开始 学习人数数量
    * @return studyPersonCountStart
    */
    public Integer getStudyPersonCountStart(){
        return this.studyPersonCountStart;
    }

    /**
    * 设置 开始 学习人数数量
    * @param studyPersonCountStart
    */
    public void setStudyPersonCountStart(Integer studyPersonCountStart){
        this.studyPersonCountStart = studyPersonCountStart;
    }

    /**
    * 获取 结束 学习人数数量
    * @return $studyPersonCountEnd
    */
    public Integer getStudyPersonCountEnd(){
        return this.studyPersonCountEnd;
    }

    /**
    * 设置 结束 学习人数数量
    * @param studyPersonCountEnd
    */
    public void setStudyPersonCountEnd(Integer studyPersonCountEnd){
        this.studyPersonCountEnd = studyPersonCountEnd;
    }

    /**
    * 获取 增加 学习人数数量
    * @return studyPersonCountIncrement
    */
    public Integer getStudyPersonCountIncrement(){
        return this.studyPersonCountIncrement;
    }

    /**
    * 设置 增加 学习人数数量
    * @param studyPersonCountIncrement
    */
    public void setStudyPersonCountIncrement(Integer studyPersonCountIncrement){
        this.studyPersonCountIncrement = studyPersonCountIncrement;
    }

    /**
    * 获取 学习人数数量
    * @return studyPersonCountList
    */
    public List<Integer> getStudyPersonCountList(){
        return this.studyPersonCountList;
    }

    /**
    * 设置 学习人数数量
    * @param studyPersonCountList
    */
    public void setStudyPersonCountList(List<Integer> studyPersonCountList){
        this.studyPersonCountList = studyPersonCountList;
    }

    /**
    * 获取 学习人数数量
    * @return studyPersonCountNotList
    */
    public List<Integer> getStudyPersonCountNotList(){
        return this.studyPersonCountNotList;
    }

    /**
    * 设置 学习人数数量
    * @param studyPersonCountNotList
    */
    public void setStudyPersonCountNotList(List<Integer> studyPersonCountNotList){
        this.studyPersonCountNotList = studyPersonCountNotList;
    }


    /**
    * 获取 开始 学习率
    * @return studyPersonRatioStart
    */
    public BigDecimal getStudyPersonRatioStart(){
        return this.studyPersonRatioStart;
    }

    /**
    * 设置 开始 学习率
    * @param studyPersonRatioStart
    */
    public void setStudyPersonRatioStart(BigDecimal studyPersonRatioStart){
        this.studyPersonRatioStart = studyPersonRatioStart;
    }

    /**
    * 获取 结束 学习率
    * @return $studyPersonRatioEnd
    */
    public BigDecimal getStudyPersonRatioEnd(){
        return this.studyPersonRatioEnd;
    }

    /**
    * 设置 结束 学习率
    * @param studyPersonRatioEnd
    */
    public void setStudyPersonRatioEnd(BigDecimal studyPersonRatioEnd){
        this.studyPersonRatioEnd = studyPersonRatioEnd;
    }

    /**
    * 获取 增加 学习率
    * @return studyPersonRatioIncrement
    */
    public BigDecimal getStudyPersonRatioIncrement(){
        return this.studyPersonRatioIncrement;
    }

    /**
    * 设置 增加 学习率
    * @param studyPersonRatioIncrement
    */
    public void setStudyPersonRatioIncrement(BigDecimal studyPersonRatioIncrement){
        this.studyPersonRatioIncrement = studyPersonRatioIncrement;
    }

    /**
    * 获取 学习率
    * @return studyPersonRatioList
    */
    public List<BigDecimal> getStudyPersonRatioList(){
        return this.studyPersonRatioList;
    }

    /**
    * 设置 学习率
    * @param studyPersonRatioList
    */
    public void setStudyPersonRatioList(List<BigDecimal> studyPersonRatioList){
        this.studyPersonRatioList = studyPersonRatioList;
    }

    /**
    * 获取 学习率
    * @return studyPersonRatioNotList
    */
    public List<BigDecimal> getStudyPersonRatioNotList(){
        return this.studyPersonRatioNotList;
    }

    /**
    * 设置 学习率
    * @param studyPersonRatioNotList
    */
    public void setStudyPersonRatioNotList(List<BigDecimal> studyPersonRatioNotList){
        this.studyPersonRatioNotList = studyPersonRatioNotList;
    }


    /**
    * 获取 开始 未学习人数数量
    * @return unStudyPersonCountStart
    */
    public Integer getUnStudyPersonCountStart(){
        return this.unStudyPersonCountStart;
    }

    /**
    * 设置 开始 未学习人数数量
    * @param unStudyPersonCountStart
    */
    public void setUnStudyPersonCountStart(Integer unStudyPersonCountStart){
        this.unStudyPersonCountStart = unStudyPersonCountStart;
    }

    /**
    * 获取 结束 未学习人数数量
    * @return $unStudyPersonCountEnd
    */
    public Integer getUnStudyPersonCountEnd(){
        return this.unStudyPersonCountEnd;
    }

    /**
    * 设置 结束 未学习人数数量
    * @param unStudyPersonCountEnd
    */
    public void setUnStudyPersonCountEnd(Integer unStudyPersonCountEnd){
        this.unStudyPersonCountEnd = unStudyPersonCountEnd;
    }

    /**
    * 获取 增加 未学习人数数量
    * @return unStudyPersonCountIncrement
    */
    public Integer getUnStudyPersonCountIncrement(){
        return this.unStudyPersonCountIncrement;
    }

    /**
    * 设置 增加 未学习人数数量
    * @param unStudyPersonCountIncrement
    */
    public void setUnStudyPersonCountIncrement(Integer unStudyPersonCountIncrement){
        this.unStudyPersonCountIncrement = unStudyPersonCountIncrement;
    }

    /**
    * 获取 未学习人数数量
    * @return unStudyPersonCountList
    */
    public List<Integer> getUnStudyPersonCountList(){
        return this.unStudyPersonCountList;
    }

    /**
    * 设置 未学习人数数量
    * @param unStudyPersonCountList
    */
    public void setUnStudyPersonCountList(List<Integer> unStudyPersonCountList){
        this.unStudyPersonCountList = unStudyPersonCountList;
    }

    /**
    * 获取 未学习人数数量
    * @return unStudyPersonCountNotList
    */
    public List<Integer> getUnStudyPersonCountNotList(){
        return this.unStudyPersonCountNotList;
    }

    /**
    * 设置 未学习人数数量
    * @param unStudyPersonCountNotList
    */
    public void setUnStudyPersonCountNotList(List<Integer> unStudyPersonCountNotList){
        this.unStudyPersonCountNotList = unStudyPersonCountNotList;
    }


    /**
    * 获取 开始 未学习率
    * @return unStudyPersonRatioStart
    */
    public BigDecimal getUnStudyPersonRatioStart(){
        return this.unStudyPersonRatioStart;
    }

    /**
    * 设置 开始 未学习率
    * @param unStudyPersonRatioStart
    */
    public void setUnStudyPersonRatioStart(BigDecimal unStudyPersonRatioStart){
        this.unStudyPersonRatioStart = unStudyPersonRatioStart;
    }

    /**
    * 获取 结束 未学习率
    * @return $unStudyPersonRatioEnd
    */
    public BigDecimal getUnStudyPersonRatioEnd(){
        return this.unStudyPersonRatioEnd;
    }

    /**
    * 设置 结束 未学习率
    * @param unStudyPersonRatioEnd
    */
    public void setUnStudyPersonRatioEnd(BigDecimal unStudyPersonRatioEnd){
        this.unStudyPersonRatioEnd = unStudyPersonRatioEnd;
    }

    /**
    * 获取 增加 未学习率
    * @return unStudyPersonRatioIncrement
    */
    public BigDecimal getUnStudyPersonRatioIncrement(){
        return this.unStudyPersonRatioIncrement;
    }

    /**
    * 设置 增加 未学习率
    * @param unStudyPersonRatioIncrement
    */
    public void setUnStudyPersonRatioIncrement(BigDecimal unStudyPersonRatioIncrement){
        this.unStudyPersonRatioIncrement = unStudyPersonRatioIncrement;
    }

    /**
    * 获取 未学习率
    * @return unStudyPersonRatioList
    */
    public List<BigDecimal> getUnStudyPersonRatioList(){
        return this.unStudyPersonRatioList;
    }

    /**
    * 设置 未学习率
    * @param unStudyPersonRatioList
    */
    public void setUnStudyPersonRatioList(List<BigDecimal> unStudyPersonRatioList){
        this.unStudyPersonRatioList = unStudyPersonRatioList;
    }

    /**
    * 获取 未学习率
    * @return unStudyPersonRatioNotList
    */
    public List<BigDecimal> getUnStudyPersonRatioNotList(){
        return this.unStudyPersonRatioNotList;
    }

    /**
    * 设置 未学习率
    * @param unStudyPersonRatioNotList
    */
    public void setUnStudyPersonRatioNotList(List<BigDecimal> unStudyPersonRatioNotList){
        this.unStudyPersonRatioNotList = unStudyPersonRatioNotList;
    }


    /**
    * 获取 开始 今日消息推送数量
    * @return pushTotalCountStart
    */
    public Integer getPushTotalCountStart(){
        return this.pushTotalCountStart;
    }

    /**
    * 设置 开始 今日消息推送数量
    * @param pushTotalCountStart
    */
    public void setPushTotalCountStart(Integer pushTotalCountStart){
        this.pushTotalCountStart = pushTotalCountStart;
    }

    /**
    * 获取 结束 今日消息推送数量
    * @return $pushTotalCountEnd
    */
    public Integer getPushTotalCountEnd(){
        return this.pushTotalCountEnd;
    }

    /**
    * 设置 结束 今日消息推送数量
    * @param pushTotalCountEnd
    */
    public void setPushTotalCountEnd(Integer pushTotalCountEnd){
        this.pushTotalCountEnd = pushTotalCountEnd;
    }

    /**
    * 获取 增加 今日消息推送数量
    * @return pushTotalCountIncrement
    */
    public Integer getPushTotalCountIncrement(){
        return this.pushTotalCountIncrement;
    }

    /**
    * 设置 增加 今日消息推送数量
    * @param pushTotalCountIncrement
    */
    public void setPushTotalCountIncrement(Integer pushTotalCountIncrement){
        this.pushTotalCountIncrement = pushTotalCountIncrement;
    }

    /**
    * 获取 今日消息推送数量
    * @return pushTotalCountList
    */
    public List<Integer> getPushTotalCountList(){
        return this.pushTotalCountList;
    }

    /**
    * 设置 今日消息推送数量
    * @param pushTotalCountList
    */
    public void setPushTotalCountList(List<Integer> pushTotalCountList){
        this.pushTotalCountList = pushTotalCountList;
    }

    /**
    * 获取 今日消息推送数量
    * @return pushTotalCountNotList
    */
    public List<Integer> getPushTotalCountNotList(){
        return this.pushTotalCountNotList;
    }

    /**
    * 设置 今日消息推送数量
    * @param pushTotalCountNotList
    */
    public void setPushTotalCountNotList(List<Integer> pushTotalCountNotList){
        this.pushTotalCountNotList = pushTotalCountNotList;
    }


    /**
    * 获取 开始 昨日新增减少数量
    * @return pushAddCountStart
    */
    public Integer getPushAddCountStart(){
        return this.pushAddCountStart;
    }

    /**
    * 设置 开始 昨日新增减少数量
    * @param pushAddCountStart
    */
    public void setPushAddCountStart(Integer pushAddCountStart){
        this.pushAddCountStart = pushAddCountStart;
    }

    /**
    * 获取 结束 昨日新增减少数量
    * @return $pushAddCountEnd
    */
    public Integer getPushAddCountEnd(){
        return this.pushAddCountEnd;
    }

    /**
    * 设置 结束 昨日新增减少数量
    * @param pushAddCountEnd
    */
    public void setPushAddCountEnd(Integer pushAddCountEnd){
        this.pushAddCountEnd = pushAddCountEnd;
    }

    /**
    * 获取 增加 昨日新增减少数量
    * @return pushAddCountIncrement
    */
    public Integer getPushAddCountIncrement(){
        return this.pushAddCountIncrement;
    }

    /**
    * 设置 增加 昨日新增减少数量
    * @param pushAddCountIncrement
    */
    public void setPushAddCountIncrement(Integer pushAddCountIncrement){
        this.pushAddCountIncrement = pushAddCountIncrement;
    }

    /**
    * 获取 昨日新增减少数量
    * @return pushAddCountList
    */
    public List<Integer> getPushAddCountList(){
        return this.pushAddCountList;
    }

    /**
    * 设置 昨日新增减少数量
    * @param pushAddCountList
    */
    public void setPushAddCountList(List<Integer> pushAddCountList){
        this.pushAddCountList = pushAddCountList;
    }

    /**
    * 获取 昨日新增减少数量
    * @return pushAddCountNotList
    */
    public List<Integer> getPushAddCountNotList(){
        return this.pushAddCountNotList;
    }

    /**
    * 设置 昨日新增减少数量
    * @param pushAddCountNotList
    */
    public void setPushAddCountNotList(List<Integer> pushAddCountNotList){
        this.pushAddCountNotList = pushAddCountNotList;
    }


    /**
    * 获取 开始 年
    * @return yearStart
    */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
    * 设置 开始 年
    * @param yearStart
    */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
    * 获取 结束 年
    * @return $yearEnd
    */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
    * 获取 增加 年
    * @return yearIncrement
    */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
    * 获取 年
    * @return yearList
    */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
    * 获取 年
    * @return yearNotList
    */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
    * 设置 年
    * @param yearNotList
    */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
    * 获取 开始 月
    * @return monthStart
    */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
    * 设置 开始 月
    * @param monthStart
    */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
    * 获取 结束 月
    * @return $monthEnd
    */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
    * 获取 增加 月
    * @return monthIncrement
    */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
    * 获取 月
    * @return monthList
    */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
    * 获取 月
    * @return monthNotList
    */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
    * 设置 月
    * @param monthNotList
    */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
    * 获取 开始 日
    * @return dayStart
    */
    public Integer getDayStart(){
        return this.dayStart;
    }

    /**
    * 设置 开始 日
    * @param dayStart
    */
    public void setDayStart(Integer dayStart){
        this.dayStart = dayStart;
    }

    /**
    * 获取 结束 日
    * @return $dayEnd
    */
    public Integer getDayEnd(){
        return this.dayEnd;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public void setDayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
    }

    /**
    * 获取 增加 日
    * @return dayIncrement
    */
    public Integer getDayIncrement(){
        return this.dayIncrement;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public void setDayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
    }

    /**
    * 获取 日
    * @return dayList
    */
    public List<Integer> getDayList(){
        return this.dayList;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public void setDayList(List<Integer> dayList){
        this.dayList = dayList;
    }

    /**
    * 获取 日
    * @return dayNotList
    */
    public List<Integer> getDayNotList(){
        return this.dayNotList;
    }

    /**
    * 设置 日
    * @param dayNotList
    */
    public void setDayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  ID
    * @param id
    */
    public StudyStatQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 ID
    * @param idStart
    */
    public StudyStatQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 ID
    * @param idEnd
    */
    public StudyStatQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 ID
    * @param idIncrement
    */
    public StudyStatQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 ID
    * @param idList
    */
    public StudyStatQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 ID
        * @param idNotList
        */
        public StudyStatQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点Id，来源基础服务平台
    * @param siteId
    */
    public StudyStatQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id，来源基础服务平台
    * @param siteIdStart
    */
    public StudyStatQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id，来源基础服务平台
    * @param siteIdEnd
    */
    public StudyStatQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id，来源基础服务平台
    * @param siteIdIncrement
    */
    public StudyStatQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteIdList
    */
    public StudyStatQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id，来源基础服务平台
        * @param siteIdNotList
        */
        public StudyStatQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }

    /**
    * 设置  题目总数
    * @param projectTotalCount
    */
    public StudyStatQuery projectTotalCount(Integer projectTotalCount){
	    setProjectTotalCount(projectTotalCount);
		return this;
    }
	
	 /**
    * 设置 开始 题目总数
    * @param projectTotalCountStart
    */
    public StudyStatQuery projectTotalCountStart(Integer projectTotalCountStart){
		this.projectTotalCountStart = projectTotalCountStart;
		return this;
    }

    /**
    * 设置 结束 题目总数
    * @param projectTotalCountEnd
    */
    public StudyStatQuery projectTotalCountEnd(Integer projectTotalCountEnd){
		this.projectTotalCountEnd = projectTotalCountEnd;
		return this;
    }

    /**
    * 设置 增加 题目总数
    * @param projectTotalCountIncrement
    */
    public StudyStatQuery projectTotalCountIncrement(Integer projectTotalCountIncrement){
		this.projectTotalCountIncrement = projectTotalCountIncrement;
		return this;
    }

    /**
    * 设置 题目总数
    * @param projectTotalCountList
    */
    public StudyStatQuery projectTotalCountList(List<Integer> projectTotalCountList){
        this.projectTotalCountList = projectTotalCountList;
		return this;
        }

        /**
        * 设置 题目总数
        * @param projectTotalCountNotList
        */
        public StudyStatQuery projectTotalCountNotList(List<Integer> projectTotalCountNotList){
        this.projectTotalCountNotList = projectTotalCountNotList;
        return this;
        }

    /**
    * 设置  昨日新增项目数量
    * @param projectAddCount
    */
    public StudyStatQuery projectAddCount(Integer projectAddCount){
	    setProjectAddCount(projectAddCount);
		return this;
    }
	
	 /**
    * 设置 开始 昨日新增项目数量
    * @param projectAddCountStart
    */
    public StudyStatQuery projectAddCountStart(Integer projectAddCountStart){
		this.projectAddCountStart = projectAddCountStart;
		return this;
    }

    /**
    * 设置 结束 昨日新增项目数量
    * @param projectAddCountEnd
    */
    public StudyStatQuery projectAddCountEnd(Integer projectAddCountEnd){
		this.projectAddCountEnd = projectAddCountEnd;
		return this;
    }

    /**
    * 设置 增加 昨日新增项目数量
    * @param projectAddCountIncrement
    */
    public StudyStatQuery projectAddCountIncrement(Integer projectAddCountIncrement){
		this.projectAddCountIncrement = projectAddCountIncrement;
		return this;
    }

    /**
    * 设置 昨日新增项目数量
    * @param projectAddCountList
    */
    public StudyStatQuery projectAddCountList(List<Integer> projectAddCountList){
        this.projectAddCountList = projectAddCountList;
		return this;
        }

        /**
        * 设置 昨日新增项目数量
        * @param projectAddCountNotList
        */
        public StudyStatQuery projectAddCountNotList(List<Integer> projectAddCountNotList){
        this.projectAddCountNotList = projectAddCountNotList;
        return this;
        }

    /**
    * 设置  学习人数数量
    * @param studyPersonCount
    */
    public StudyStatQuery studyPersonCount(Integer studyPersonCount){
	    setStudyPersonCount(studyPersonCount);
		return this;
    }
	
	 /**
    * 设置 开始 学习人数数量
    * @param studyPersonCountStart
    */
    public StudyStatQuery studyPersonCountStart(Integer studyPersonCountStart){
		this.studyPersonCountStart = studyPersonCountStart;
		return this;
    }

    /**
    * 设置 结束 学习人数数量
    * @param studyPersonCountEnd
    */
    public StudyStatQuery studyPersonCountEnd(Integer studyPersonCountEnd){
		this.studyPersonCountEnd = studyPersonCountEnd;
		return this;
    }

    /**
    * 设置 增加 学习人数数量
    * @param studyPersonCountIncrement
    */
    public StudyStatQuery studyPersonCountIncrement(Integer studyPersonCountIncrement){
		this.studyPersonCountIncrement = studyPersonCountIncrement;
		return this;
    }

    /**
    * 设置 学习人数数量
    * @param studyPersonCountList
    */
    public StudyStatQuery studyPersonCountList(List<Integer> studyPersonCountList){
        this.studyPersonCountList = studyPersonCountList;
		return this;
        }

        /**
        * 设置 学习人数数量
        * @param studyPersonCountNotList
        */
        public StudyStatQuery studyPersonCountNotList(List<Integer> studyPersonCountNotList){
        this.studyPersonCountNotList = studyPersonCountNotList;
        return this;
        }

    /**
    * 设置  学习率
    * @param studyPersonRatio
    */
    public StudyStatQuery studyPersonRatio(BigDecimal studyPersonRatio){
	    setStudyPersonRatio(studyPersonRatio);
		return this;
    }
	
	 /**
    * 设置 开始 学习率
    * @param studyPersonRatioStart
    */
    public StudyStatQuery studyPersonRatioStart(BigDecimal studyPersonRatioStart){
		this.studyPersonRatioStart = studyPersonRatioStart;
		return this;
    }

    /**
    * 设置 结束 学习率
    * @param studyPersonRatioEnd
    */
    public StudyStatQuery studyPersonRatioEnd(BigDecimal studyPersonRatioEnd){
		this.studyPersonRatioEnd = studyPersonRatioEnd;
		return this;
    }

    /**
    * 设置 增加 学习率
    * @param studyPersonRatioIncrement
    */
    public StudyStatQuery studyPersonRatioIncrement(BigDecimal studyPersonRatioIncrement){
		this.studyPersonRatioIncrement = studyPersonRatioIncrement;
		return this;
    }

    /**
    * 设置 学习率
    * @param studyPersonRatioList
    */
    public StudyStatQuery studyPersonRatioList(List<BigDecimal> studyPersonRatioList){
        this.studyPersonRatioList = studyPersonRatioList;
		return this;
        }

        /**
        * 设置 学习率
        * @param studyPersonRatioNotList
        */
        public StudyStatQuery studyPersonRatioNotList(List<BigDecimal> studyPersonRatioNotList){
        this.studyPersonRatioNotList = studyPersonRatioNotList;
        return this;
        }

    /**
    * 设置  未学习人数数量
    * @param unStudyPersonCount
    */
    public StudyStatQuery unStudyPersonCount(Integer unStudyPersonCount){
	    setUnStudyPersonCount(unStudyPersonCount);
		return this;
    }
	
	 /**
    * 设置 开始 未学习人数数量
    * @param unStudyPersonCountStart
    */
    public StudyStatQuery unStudyPersonCountStart(Integer unStudyPersonCountStart){
		this.unStudyPersonCountStart = unStudyPersonCountStart;
		return this;
    }

    /**
    * 设置 结束 未学习人数数量
    * @param unStudyPersonCountEnd
    */
    public StudyStatQuery unStudyPersonCountEnd(Integer unStudyPersonCountEnd){
		this.unStudyPersonCountEnd = unStudyPersonCountEnd;
		return this;
    }

    /**
    * 设置 增加 未学习人数数量
    * @param unStudyPersonCountIncrement
    */
    public StudyStatQuery unStudyPersonCountIncrement(Integer unStudyPersonCountIncrement){
		this.unStudyPersonCountIncrement = unStudyPersonCountIncrement;
		return this;
    }

    /**
    * 设置 未学习人数数量
    * @param unStudyPersonCountList
    */
    public StudyStatQuery unStudyPersonCountList(List<Integer> unStudyPersonCountList){
        this.unStudyPersonCountList = unStudyPersonCountList;
		return this;
        }

        /**
        * 设置 未学习人数数量
        * @param unStudyPersonCountNotList
        */
        public StudyStatQuery unStudyPersonCountNotList(List<Integer> unStudyPersonCountNotList){
        this.unStudyPersonCountNotList = unStudyPersonCountNotList;
        return this;
        }

    /**
    * 设置  未学习率
    * @param unStudyPersonRatio
    */
    public StudyStatQuery unStudyPersonRatio(BigDecimal unStudyPersonRatio){
	    setUnStudyPersonRatio(unStudyPersonRatio);
		return this;
    }
	
	 /**
    * 设置 开始 未学习率
    * @param unStudyPersonRatioStart
    */
    public StudyStatQuery unStudyPersonRatioStart(BigDecimal unStudyPersonRatioStart){
		this.unStudyPersonRatioStart = unStudyPersonRatioStart;
		return this;
    }

    /**
    * 设置 结束 未学习率
    * @param unStudyPersonRatioEnd
    */
    public StudyStatQuery unStudyPersonRatioEnd(BigDecimal unStudyPersonRatioEnd){
		this.unStudyPersonRatioEnd = unStudyPersonRatioEnd;
		return this;
    }

    /**
    * 设置 增加 未学习率
    * @param unStudyPersonRatioIncrement
    */
    public StudyStatQuery unStudyPersonRatioIncrement(BigDecimal unStudyPersonRatioIncrement){
		this.unStudyPersonRatioIncrement = unStudyPersonRatioIncrement;
		return this;
    }

    /**
    * 设置 未学习率
    * @param unStudyPersonRatioList
    */
    public StudyStatQuery unStudyPersonRatioList(List<BigDecimal> unStudyPersonRatioList){
        this.unStudyPersonRatioList = unStudyPersonRatioList;
		return this;
        }

        /**
        * 设置 未学习率
        * @param unStudyPersonRatioNotList
        */
        public StudyStatQuery unStudyPersonRatioNotList(List<BigDecimal> unStudyPersonRatioNotList){
        this.unStudyPersonRatioNotList = unStudyPersonRatioNotList;
        return this;
        }

    /**
    * 设置  今日消息推送数量
    * @param pushTotalCount
    */
    public StudyStatQuery pushTotalCount(Integer pushTotalCount){
	    setPushTotalCount(pushTotalCount);
		return this;
    }
	
	 /**
    * 设置 开始 今日消息推送数量
    * @param pushTotalCountStart
    */
    public StudyStatQuery pushTotalCountStart(Integer pushTotalCountStart){
		this.pushTotalCountStart = pushTotalCountStart;
		return this;
    }

    /**
    * 设置 结束 今日消息推送数量
    * @param pushTotalCountEnd
    */
    public StudyStatQuery pushTotalCountEnd(Integer pushTotalCountEnd){
		this.pushTotalCountEnd = pushTotalCountEnd;
		return this;
    }

    /**
    * 设置 增加 今日消息推送数量
    * @param pushTotalCountIncrement
    */
    public StudyStatQuery pushTotalCountIncrement(Integer pushTotalCountIncrement){
		this.pushTotalCountIncrement = pushTotalCountIncrement;
		return this;
    }

    /**
    * 设置 今日消息推送数量
    * @param pushTotalCountList
    */
    public StudyStatQuery pushTotalCountList(List<Integer> pushTotalCountList){
        this.pushTotalCountList = pushTotalCountList;
		return this;
        }

        /**
        * 设置 今日消息推送数量
        * @param pushTotalCountNotList
        */
        public StudyStatQuery pushTotalCountNotList(List<Integer> pushTotalCountNotList){
        this.pushTotalCountNotList = pushTotalCountNotList;
        return this;
        }

    /**
    * 设置  昨日新增减少数量
    * @param pushAddCount
    */
    public StudyStatQuery pushAddCount(Integer pushAddCount){
	    setPushAddCount(pushAddCount);
		return this;
    }
	
	 /**
    * 设置 开始 昨日新增减少数量
    * @param pushAddCountStart
    */
    public StudyStatQuery pushAddCountStart(Integer pushAddCountStart){
		this.pushAddCountStart = pushAddCountStart;
		return this;
    }

    /**
    * 设置 结束 昨日新增减少数量
    * @param pushAddCountEnd
    */
    public StudyStatQuery pushAddCountEnd(Integer pushAddCountEnd){
		this.pushAddCountEnd = pushAddCountEnd;
		return this;
    }

    /**
    * 设置 增加 昨日新增减少数量
    * @param pushAddCountIncrement
    */
    public StudyStatQuery pushAddCountIncrement(Integer pushAddCountIncrement){
		this.pushAddCountIncrement = pushAddCountIncrement;
		return this;
    }

    /**
    * 设置 昨日新增减少数量
    * @param pushAddCountList
    */
    public StudyStatQuery pushAddCountList(List<Integer> pushAddCountList){
        this.pushAddCountList = pushAddCountList;
		return this;
        }

        /**
        * 设置 昨日新增减少数量
        * @param pushAddCountNotList
        */
        public StudyStatQuery pushAddCountNotList(List<Integer> pushAddCountNotList){
        this.pushAddCountNotList = pushAddCountNotList;
        return this;
        }

    /**
    * 设置  年
    * @param year
    */
    public StudyStatQuery year(Integer year){
	    setYear(year);
		return this;
    }
	
	 /**
    * 设置 开始 年
    * @param yearStart
    */
    public StudyStatQuery yearStart(Integer yearStart){
		this.yearStart = yearStart;
		return this;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public StudyStatQuery yearEnd(Integer yearEnd){
		this.yearEnd = yearEnd;
		return this;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public StudyStatQuery yearIncrement(Integer yearIncrement){
		this.yearIncrement = yearIncrement;
		return this;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public StudyStatQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
		return this;
        }

        /**
        * 设置 年
        * @param yearNotList
        */
        public StudyStatQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
        }

    /**
    * 设置  月
    * @param month
    */
    public StudyStatQuery month(Integer month){
	    setMonth(month);
		return this;
    }
	
	 /**
    * 设置 开始 月
    * @param monthStart
    */
    public StudyStatQuery monthStart(Integer monthStart){
		this.monthStart = monthStart;
		return this;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public StudyStatQuery monthEnd(Integer monthEnd){
		this.monthEnd = monthEnd;
		return this;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public StudyStatQuery monthIncrement(Integer monthIncrement){
		this.monthIncrement = monthIncrement;
		return this;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public StudyStatQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
		return this;
        }

        /**
        * 设置 月
        * @param monthNotList
        */
        public StudyStatQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
        }

    /**
    * 设置  日
    * @param day
    */
    public StudyStatQuery day(Integer day){
	    setDay(day);
		return this;
    }
	
	 /**
    * 设置 开始 日
    * @param dayStart
    */
    public StudyStatQuery dayStart(Integer dayStart){
		this.dayStart = dayStart;
		return this;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public StudyStatQuery dayEnd(Integer dayEnd){
		this.dayEnd = dayEnd;
		return this;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public StudyStatQuery dayIncrement(Integer dayIncrement){
		this.dayIncrement = dayIncrement;
		return this;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public StudyStatQuery dayList(List<Integer> dayList){
        this.dayList = dayList;
		return this;
        }

        /**
        * 设置 日
        * @param dayNotList
        */
        public StudyStatQuery dayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public StudyStatQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public StudyStatQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public StudyStatQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public StudyStatQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public StudyStatQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public StudyStatQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<StudyStatQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<StudyStatQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<StudyStatQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<StudyStatQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}